#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Aug 31 19:24:28 2020

@author: finazzi
"""

# Cargamos la librerías que vamos a necesitar
import matplotlib.pyplot as plt

from scipy import ndimage   # Para rotar imagenes
from scipy import signal    # Para aplicar filtros
import numpy as np          # Para porcesar matrices y vectores


from lib_img import *


#%% Ejemplo:


archivo_img = "img_01_micro_mm.jpg"
img = plt.imread(archivo_img)

fig, ax = plt.subplots( 1,1, figsize=(10,7) ,  constrained_layout=True )
ax.imshow( img  )
ax.set_aspect(1)
ax.set_xlabel('x [px]')
ax.set_ylabel('y [px]')

ang = medir_angulo(3)

print(ang)


#%% Alinear

archivo_img = "img_01_micro_mm.jpg"
img = plt.imread(archivo_img)

img2 , vec = alinear_imagen(img, horizontal=False, autoclose=False)

fig, ax = plt.subplots( 1,1, figsize=(10,7) ,  constrained_layout=True )
ax.imshow( img2  )
ax.set_aspect(1)
ax.set_xlabel('x [px]')
ax.set_ylabel('y [px]')



#%% Perfil

archivo_img = "img_01_micro_mm.jpg"
img = plt.imread(archivo_img)

perfiles , segmento = perfil_imagen(img, autoclose=False)

fig, ax = plt.subplots( 1,1, figsize=(10,7) ,  constrained_layout=True )
ax.plot(segmento , perfiles[0] , color='C3')
ax.plot(segmento , perfiles[1] , color='C2')
ax.plot(segmento , perfiles[2] , color='C0')
ax.set_xlabel('segmento [px]')
ax.set_ylabel('intensidad [ua]')




#%% Extarer coordenadas


coord = np.array(plt.ginput(3))

X =  coord[:,0]

Y =  coord[:,1]

print(f"diferenecia entre Xs: {np.diff(X).mean()} +- {np.diff(X).std()}")
